import 'package:flutter/material.dart';
import 'package:prosappco/src/components/pop_appbar.dart';
import 'package:prosappco/src/components/primary_btn.dart';

class RequestSentScreen extends StatelessWidget {
  const RequestSentScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
            appBar: PopAppbar(
              onPressed: () {
                Navigator.pushReplacementNamed(context, '/servicio');
              },
              label: 'Solicitud enviada',
            ),
            body: Center(
              child: Column(
                children: [
                  const Padding(
                    padding: EdgeInsets.only(top: 90, bottom: 40),
                    child: Icon(
                      Icons.check_circle_outline,
                      size: 50,
                      color: Color(0xFF35A8ED),
                    ),
                  ),
                  const Padding(
                    padding: EdgeInsets.only(bottom: 350),
                    child: Text('Información enviada con éxito.',
                        style:
                            TextStyle(color: Color(0xFF2BA4EC), fontSize: 20)),
                  ),
                  PrimaryButtom(
                      onPressed: () {
                        Navigator.pushReplacementNamed(context, '/servicio');
                      },
                      label: 'Inicio'),
                ],
              ),
            )));
  }
}
